/*
 * Class INDEXABLE [NATURAL_16, INTEGER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_685 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_685 [] = {0xFF01,237,684,203,206,0xFFFF};
static const EIF_TYPE_INDEX egt_2_685 [] = {0xFF01,684,203,206,0xFFFF};
static const EIF_TYPE_INDEX egt_3_685 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_685 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_685 [] = {0xFF01,684,203,206,0xFFFF};
static const EIF_TYPE_INDEX egt_6_685 [] = {0xFF01,684,203,206,0xFFFF};
static const EIF_TYPE_INDEX egt_7_685 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_685 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_685 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_685 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_685 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_685 [] = {684,203,206,0xFFFF};
static const EIF_TYPE_INDEX egt_13_685 [] = {0xFF01,684,203,206,0xFFFF};
static const EIF_TYPE_INDEX egt_14_685 [] = {0xFF01,686,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_685 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_685 [] = {0xFF01,678,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_685 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_685 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_685 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_685 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_685 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_22_685 [] = {0xFFF8,2,0xFFFF};


static const struct desc_info desc_685[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_685), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_685), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_685), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_685), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_685), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_685), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_685), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_685), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_685), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_685), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_685), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_685), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_685), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_685), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1905, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1906, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1907, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1908, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1909, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_685), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_685), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1956, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1980, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1957, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1958, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_685), 3379, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_685), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_685), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_685), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_685), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_685), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_685), -1, 0xFFFFFFFF},
};
void Init685(void)
{
	IDSC(desc_685, 0, 684);
	IDSC(desc_685 + 1, 1, 684);
	IDSC(desc_685 + 32, 77, 684);
	IDSC(desc_685 + 41, 282, 684);
	IDSC(desc_685 + 50, 99, 684);
	IDSC(desc_685 + 52, 187, 684);
	IDSC(desc_685 + 58, 256, 684);
	IDSC(desc_685 + 61, 229, 684);
	IDSC(desc_685 + 62, 172, 684);
}


#ifdef __cplusplus
}
#endif
